HierarchyEntityControllerUpdateLevel Method

PUT /HierarchyEntity/Level/ Updates the given level.

Namespace:  Dundas.BI.WebApi.Controllers
Assembly:  Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (8.0.2.1001)
Syntax
[HttpPutAttribute]
[ActionNameAttribute("Level")]
public HttpResponseMessage UpdateLevel(
	Guid id,
	[FromBodyAttribute] UpdateHierarchyLevelOptions options,
	Nullable<Guid> sessionId = null
)

Parameters

id
Type: SystemGuid
The ID of the hierarchy.
options
Type: Dundas.BI.WebApi.ModelsUpdateHierarchyLevelOptions
The options to use when updating the level.
sessionId (Optional)
Type: SystemNullableGuid
Current session ID.

Return Value

Type: HttpResponseMessage
A HierarchyEntityData object containing the updated hierarchy, or a status code indicating the problem.
See Also